<!--
{
  "availability" : [
    "Apple Ads Platform API: 1.0.0 -"
  ],
  "documentType" : "symbol",
  "framework" : "Apple-Ads-Platform-API",
  "identifier" : "/documentation/Apple-Ads-Platform-API/PUT-shared-budgets-_id_",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Ads Platform API"
    ],
    "preciseIdentifier" : "rest:apple-ads-platform-api:put:shared-budgets-{}"
  },
  "title" : "Update a Budget Order"
}
-->

# Update a Budget Order

Updates mutable fields of an existing budget order by its unique identifier.

## Discussion

This endpoint updates one or more mutable fields on an existing budget order. Only include the fields you want to change. Fields you don’t include remain unchanged. Pass the budget order `id` as a URL path parameter. You don’t need to include it in the request body. End date changes on active budget orders can only shorten the period, not extend it, except that you can set `endTime` to `null` to remove the expiration date entirely and make the budget open-ended.

## Payload Examples

**Increase Budget:**

### Request

Increase the total budget order amount on an active budget order.

```json
PUT /v1/shared-budgets/{id}

{
 "value": {
   "amount": "25000.00",
   "currency": "USD"
 }
}
```

### Response

```json
{
 "result": {
   "id": 777890001,
   "name": "AwayFinder Q3 2025 Budget",
   "startTime": "2025-07-01T00:00:00.000",
   "endTime": "2025-09-30T23:59:59.000",
   "value": {
     "amount": "25000.00",
     "currency": "USD"
   },
   "adAccountIds": [
     123456789
   ],
   "systemStatus": "ACTIVE",
   "systemStatusReasons": [],
   "deleted": false,
   "creationTime": "2025-06-01T10:00:00.000",
   "modificationTime": "2025-07-15T09:30:00.000"
 }
}
```

**Rename and Update Invoice:**

### Request

Rename the budget order and update the invoice order number.

```json
PUT /v1/shared-budgets/{id}

{
 "name": "AwayFinder Q3+Q4 2025 Budget",
 "invoiceDetail": {
   "orderNumber": "PO-2025-Q3Q4"
 }
}
```

### Response

```json
{
 "result": {
   "id": 777890001,
   "name": "AwayFinder Q3+Q4 2025 Budget",
   "startTime": "2025-07-01T00:00:00.000",
   "endTime": "2025-09-30T23:59:59.000",
   "value": {
     "amount": "25000.00",
     "currency": "USD"
   },
   "adAccountIds": [
     123456789
   ],
   "systemStatus": "ACTIVE",
   "systemStatusReasons": [],
   "deleted": false,
   "creationTime": "2025-06-01T10:00:00.000",
   "modificationTime": "2025-07-15T09:30:00.000"
 }
}
```

---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)